org.apache.ignite.internal.processors.cache.binary

## Class CacheObjectBinaryContext

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheObjectContext
  - - org.apache.ignite.internal.processors.cache.binary.CacheObjectBinaryContext

    public class CacheObjectBinaryContext
    extends CacheObjectContext

### Constructor Summary

Constructors
Constructor and Description
`CacheObjectBinaryContext(GridKernalContext kernalCtx, String cacheName, boolean cpyOnGet, boolean storeVal, boolean binaryEnabled, boolean depEnabled)`

### Method Summary

Methods
`boolean` `binaryEnabled()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheObjectContext

`addDeploymentInfo, cacheName, copyOnGet, defaultAffMapper, kernalContext, p2pEnabled, processor, storeValue, unwrapBinariesIfNeeded, unwrapBinariesIfNeeded, unwrapBinariesInArrayIfNeeded, unwrapBinaryIfNeeded, unwrapBinaryIfNeeded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheObjectBinaryContext

    public CacheObjectBinaryContext(GridKernalContext kernalCtx,
                            String cacheName,
                            boolean cpyOnGet,
                            boolean storeVal,
                            boolean binaryEnabled,
                            boolean depEnabled)

Parameters:
  `kernalCtx` - Kernal context.
  `cacheName` - Cache name.
  `binaryEnabled` - Binary enabled flag.
  `cpyOnGet` - Copy on get flag.
  `storeVal` - `True` if should store unmarshalled value in cache.
  `depEnabled` - `true` if deployment is enabled for the given cache.

### Method Detail

#### binaryEnabled

    public boolean binaryEnabled()

Returns:
  Binary enabled flag.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017